{% extends "base_dashboard.html" %}
{% load i18n %}
{% load common_tags %}
{% block title %}{% trans "Investasi" %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
        <li><a class="spf-link" href="{% url 'dashboard_it_officer' %}">{% trans "Dashboard" %}</a></li>
        <li><span>{% trans "Investasi" %}</span></li>
      </ul>
    </div>
    <div class="uk-navbar-right">
      <form class="uk-nav-nav" action="." method="get">
        <input name="q" {% if query %}value="{{ query }}"{% endif %} class="uk-input uk-form-width-medium" type="text" placeholder="{% trans 'Cari ...' %}" required>
        <input name="status" type="hidden" value="{{ status }}">
        <button type="submit" class="uk-button uk-button-primary">
          <span uk-icon="icon: search"></span>
        </button>
      </form>
    </div>
  </nav>
{% endblock %}

{% block content %}
  <ul class="uk-tab uk-visible@s">
    <li {% if request.GET.status != 'pending' and request.GET.status != 'approved' and request.GET.status != 'rejected' and request.GET.status != 'finished' %}class="uk-active"{% endif %}>
      <a href="?status=all" class="spf-link">
        <span uk-icon="icon:list;ratio:.7"></span> {% trans "Semua" %}
      </a>
    </li>
    <li {% if request.GET.status == 'pending' %}class="uk-active"{% endif %}>
      <a href="?status=pending" class="spf-link">
        <span uk-icon="icon:clock;ratio:.7"></span> {% trans "Menunggu" %}
      </a>
    </li>
    <li {% if request.GET.status == 'approved' %}class="uk-active"{% endif %}>
      <a href="?status=approved" class="spf-link">
        <span uk-icon="icon:check;ratio:.7"></span> {% trans "Diterima" %}
      </a>
    </li>
    <li {% if request.GET.status == 'rejected' %}class="uk-active"{% endif %}>
      <a href="?status=rejected" class="spf-link">
        <span uk-icon="icon:close;ratio:.7"></span> {% trans "Ditolak" %}
      </a>
    </li>
  </ul>
  <div class="uk-margin uk-hidden@s">
    <select name="status" class="uk-width-1-1 uk-select" onchange="window.location.href=this.value">
      <option value="?status=all">{% trans "Semua" %}</option>
      <option value="?status=pending" {% if request.GET.status == 'pending' %}selected{% endif %}>{% trans "Menunggu" %}</option>
      <option value="?status=approved" {% if request.GET.status == 'approved' %}selected{% endif %}>{% trans "Diterima" %}</option>
      <option value="?status=rejected" {% if request.GET.status == 'rejected' %}selected{% endif %}>{% trans "Ditolak" %}</option>
    </select>
  </div>

  <div class="uk-margin uk-overflow-auto-disabled">
    <table class="uk-table uk-table-striped uk-table-hover uk-table-responsive">
      <thead>
        <tr>
          <th>{% trans "I.ID" %}</th>
          <th>{% trans "Investor" %}</th>
          <th>{% trans "Peluang Investasi" %}</th>
          <th>{% trans "Jumlah Investasi" %}</th>
          <th>{% trans "Tanggal Investasi" %}</th>
          <th>{% trans "Status" %}</th>
          <th>{% trans "Tindakan" %}</th>
        </tr>
      </thead>
      <tbody>
        {% for investation in investations %}
          <tr>
            <td>{{ investation.id }}</td>
            <td>{{ investation.investor }}</td>
            <td><a class="spf-link" title="{{ investation.teaser.title }}" href="{% url 'app_management:dashboard_proposal_disqus' slug=investation.teaser.slug %}">{{ investation.teaser.title|truncatechars:"45" }}</a></td>
            <td>{{ investation.amount|as_rupiah }},-</td>
            <td>{{ investation.created }}</td>
            <td>
              {% if investation.status == 'pending'  %}
                <span uk-tooltip="title: {% trans 'Menunggu Verifikasi' %}; pos: bottom"
                  class="uk-icon-button uk-background-warning uk-light" uk-icon="clock"></span>
              {% elif investation.status == 'approved' %}
                <span uk-tooltip="title: {% trans 'Telah Diverifikasi' %}; pos: bottom"
                  class="uk-icon-button uk-background-success uk-light" uk-icon="check"></span>
              {% else %}
                <span uk-tooltip="title: {% trans 'Ditolak' %}; pos: bottom"
                  class="uk-icon-button uk-background-danger uk-light" uk-icon="close"></span>
              {% endif %}
            </td>
            <td>
              <a href="{% url 'app_management:dashboard_proposal_disqus' slug=investation.teaser.slug %}"
                uk-tooltip="title: {% trans 'Diskusikan Proposal' %}; pos: bottom"
                class="uk-icon-link uk-margin-small-right spf-link" uk-icon="comments"></a>
              <a uk-toggle="target: #modal-change-status-investation-{{ investation.pk }}"
                uk-tooltip="title: {% trans 'Ubah Status' %}; pos: bottom"
                class="uk-icon-link spf-link" uk-icon="file-edit"></a>

              <div id="modal-change-status-investation-{{ investation.pk }}" uk-modal>
                <div class="uk-modal-dialog uk-modal-body">
                  <form class="uk-form" method="post" action=".">{% csrf_token %}
                    <button class="uk-modal-close-default" type="button" uk-close></button>
                    <h3 class="uk-margin-remove">{% trans "Ubah Status Investasi" %}</h3>
                    <table class="uk-table uk-table-small uk-table-striped">
                      <tbody>
                        <tr>
                          <th>{% trans "ID &amp; Username" %}</th>
                          <td>{{ investation.investor.id }} &bull; {{ investation.investor.username }}</td>
                        </tr>
                        <tr>
                          <th>{% trans "Nama Lengkap" %}</th>
                          <td>{{ investation.investor_full_name }}</td>
                        </tr>
                        <tr>
                          <th>{% trans "Nama Ibu" %}</th>
                          <td>{{ investation.investor_mother_name }}</td>
                        </tr>
                        <tr>
                          <th>{% trans "Nomor KTP" %}</th>
                          <td>{{ investation.investor_ktp_number }}</td>
                        </tr>
                        <tr>
                          <th>{% trans "Nomor NPWP" %}</th>
                          <td>{{ investation.investor_npwp_number }}</td>
                        </tr>
                        <tr>
                          <th>{% trans "Nomor Telepon" %}</th>
                          <td>{{ investation.investor_phone_number }}</td>
                        </tr>
                        <tr>
                          <th>{% trans "Peluang Investasi" %}</th>
                          <td><a href="{% url 'app_plaza:teaser_detail' slug=investation.teaser.slug %}" class="spf-link">{{ investation.teaser }}</a></td>
                        </tr>
                        <tr>
                          <th>{% trans "Jumlah Investasi" %}</th>
                          <td><strong>{{ investation.amount|as_rupiah }},-</strong></td>
                        </tr>
                        <tr>
                          <th>{% trans "Yang Harus Dibayar" %}</th>
                          <td><strong>{{ investation.total_information_investation_payment|as_rupiah }},-</strong></td>
                        </tr>
                        <tr>
                          <th>{% trans "Status" %}</th>
                          <td>
                            {% if investation.status == 'pending' %}
                              <span class="uk-label uk-label-warning">
                            {% elif investation.status == 'approved' %}
                              <span class="uk-label uk-label-success">
                            {% else %}
                              <span class="uk-label uk-label-danger">
                            {% endif %}
                              {{ investation.get_status_display }}
                            </span>
                          </td>
                        </tr>
                        <tr>
                          <th>{% trans "Ubah Status" %}</th>
                          <td>
                            <input type="hidden" name="investation_id" value="{{ investation.id }}">
                            <select name="investation_status" class="uk-select" required>
                              <option value selected>--------------</option>
                              <option value="pending">{% trans "Menunggu" %}</option>
                              <option value="approved">{% trans "Diterima" %}</option>
                              <option value="rejected">{% trans "Ditolak" %}</option>
                            </select>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <div class="uk-text-right">
                      <div class="uk-button uk-button-default uk-modal-close">
                        <span uk-icon="close"></span> {% trans "Batal" %}
                      </div>
                      <button type="submit" class="uk-button uk-button-primary" href="">
                        <span uk-icon="check"></span> {% trans "Simpan" %}
                      </button>
                    </div>
                  </form>
                </div>
              </div>
            </td>
          </tr>
        {% empty %}
          <tr>
            <td colspan="7">
              <div class="uk-card uk-card-default uk-margin">
                <div class="uk-card-body">
                  <span uk-icon="info"></span> &nbsp; {% trans "Investasi tidak ada!" %}
                </div>
              </div>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>

  {% if is_paginated %}
    <div class="uk-width-1-1@m">
      <div class="uk-margin"></div>
      <ul class="uk-pagination">
        {% if page_obj.has_previous %}
          <li><a {% if page_obj.has_previous %}href="?status={{ status }}{% if query %}&amp;q={{ query }}{% endif %}&amp;page={{ page_obj.previous_page_number }}"{% endif %}><span class="uk-margin-small-right" uk-pagination-previous></span> {% trans "Sebelumnya" %}</a>
          </li>
        {% endif %}
        {% if page_obj.has_next %}
          <li class="uk-margin-auto-left">
            <a {% if page_obj.has_next %}href="?status={{ status }}{% if query %}&amp;q={{ query }}{% endif %}&amp;page={{ page_obj.next_page_number }}"{% endif %}>{% trans "Selanjutnya" %} <span class="uk-margin-small-left" uk-pagination-next></span></a>
          </li>
        {% endif %}
      </ul>
    </div>
  {% endif %}
{% endblock %}
